
#include "module.hpp"
#include "vm.hpp"

#include "plusscript.h"

namespace ps
{
	Module::Module(VM *vm)
	{
		this->vm = vm;
	}
	Module::~Module()
	{
	}
	
	bool Module::loadSource(const char *filename)
	{
		mod = parse_source(vm->getVM(), filename);
		if (mod)
		{
			create_stubs(vm->getVM(), mod);
			vm_add_module(vm->getVM(), mod);
			return true;
		}
		else return false;
	}
	bool Module::loadBytecode(const char *filename)
	{
		return false;
	}
	
	bool Module::saveBytecode(const char *filename)
	{
		return false;
	}
	
	void Module::displayBytecode(void)
	{
		display_bytecode(mod);
	}
}

